Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jbehave.core.annotations
Enum AfterScenario.Outcome

    java.lang.Object
      java.lang.Enum<AfterScenario.Outcome>
          org.jbehave.core.annotations.AfterScenario.Outcome

All Implemented Interfaces:
  Serializable, Comparable<AfterScenario.Outcome>

Enclosing class:
  AfterScenario

    public static enum AfterScenario.Outcome

extends Enum<AfterScenario.Outcome>

Enum Constant Summary
`ANY`
`FAILURE`
`SUCCESS`

Method Summary
`static AfterScenario.Outcome` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AfterScenario.Outcome[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ANY

    public static final AfterScenario.Outcome ANY

### SUCCESS

    public static final AfterScenario.Outcome SUCCESS

### FAILURE

    public static final AfterScenario.Outcome FAILURE

Method Detail

### values

    public static AfterScenario.Outcome[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AfterScenario.Outcome c : AfterScenario.Outcome.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AfterScenario.Outcome valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2013. All Rights Reserved.